=== admxrc/Makefile ===
################################################################################
#	Makefile for Admxrc driver and library
#				T.Barnaby,	BEAM Ltd,	2017-11-30
################################################################################
#
TOP	= ..

include $(TOP)/Config.mk

VERSION 	= 4.3.0b3
#VERSION 	= 2.12.0beam

all::	libadmxrc2

clean:
	-make -C admxrc_drv-${VERSION}/api/modules/admxrc2/linux clean
	#-make -C admxrc_drv-${VERSION}/driver/monolithic/linux clean
	-make -C admxrc_drv-${VERSION}/driver/monolithic/linux clean
	find . \( -name "*.o" -o -name "*.a" -o -name "*.ko" \) -exec rm {} ';';

install: all
	
config:
	#(cd admxrc_drv-${VERSION}; ./configure)
	#(cd admxrc_drv-${VERSION}; ./configure -prefix $RPM_BUILD_ROOT -kver %{kernelVersion} -kernel /lib/modules/%{kernelVersion}/build)
	#(cd admxrc_drv-${VERSION}; ./configure -kver ${kernelVersion} -kernel /lib/modules/${kernelVersion}/build)
	(cd admxrc_drv-${VERSION}; ./configure -kver ${kernelVersion} -kernel ${srcDir}/kernel)

libadmxrc2:
	make -C admxrc_drv-${VERSION}/api/modules/admxrc2/linux all

libadmxrc2_install:
	#cp -a admxrc_drv-${VERSION}/include/* ${srcIncDir}
	cp -a admxrc_drv-${VERSION}/api/modules/admxrc2/linux/obj/libadmxrc2.a ${rootDir}/lib

driver:
	make -C admxrc_drv-${VERSION}/driver/monolithic/linux
	strip --strip-debug admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko
	#xz admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko

driver_install: driver
	#cp admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko ../rootfs/lib/modules/${kernelVersion}
	cp admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko ${rootDir}/lib/modules/${kernelVersion}
