=== beam/Makefile ===
################################################################################
#	Makefile for beam library
#				T.Barnaby,	BEAM Ltd,	2007-02-22
#				updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

ifeq ("$(BUILD)", "FULL")
DIRS	= libBeam bidl boapns
else
DIRS	= libBeam
endif

all::
	@for f in $(DIRS); do if ! (make -C $$f all); then break; fi; done

install:
	@for f in $(DIRS); do if ! (make -C $$f install); then break; fi; done

clean:
	@(for f in $(DIRS); do (make -C $$f clean); done)
	@(for f in tests/*; do (make -C $$f clean); done)
