=== datasrc/Makefile ===
################################################################################
#	Master Makefile for System Sources
#				T.Barnaby,	BEAM Ltd,	2007-02-21
################################################################################
#
TOP	= ../..
include ../Config.mk

all::	fpgaStateTables fpgaTestData

install:
	mkdir -p ${STATETABLEDIR}
	cp -a *.spt ${STATETABLEDIR}
	mkdir -p ${DATADIR}
	cp -a *.psd ${DATADIR}

clean:
	rm -f *.spt *.psd

fpgaStateTables:
	../tmsStateGen/tmsStateGen -t Beam1 -fd 0 Beam1_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam2 -fd 0 Beam2_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3 -fd 0 Beam3_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3 -fd 0 -fref 416666 -name SigGenBeam3 -info "For TmsSigGen." SigGenBeam3_0_0.spt
	../tmsStateGen/tmsStateGen -t Test1 -fd 0 Test1_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3 -fd 0 -fref 437063 -phaseDelayAll 381 -name SimBeam3 -info "For simulated data." SimBeam3_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3Delay -fd 0 -fref 437063 -phaseDelayAll 381 -name SimBeam3-Delay -info "For simulated data with delay state." SimBeam3Delay_0_0.spt

fpgaTestData:
	../tmsSigGen/tmsSigGen -t Beam1 -s 125000000 -p 4 -b beam1-437000-8.psd
	../tmsSigGen/tmsSigGen -t Beam2 -s 125000000 -p 4 -b beam2-437000-8.psd
	../tmsSigGen/tmsSigGen -t Beam3 -s 125000000 -p 4 -b beam3-437000-8.psd
