=== libTms/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2006-12-07
#				updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

%D.cc %D.h: %.idl
	$(BIDL) -m bdata $<

%C.cc %C.h: %.idl
	$(BIDL) $< 
    
%S.cc %S.h: %.idl
	$(BIDL) $< 

%T.cc %T.h: %.idl
	$(BIDL) $< 

BIDL		= ../beam/bidl/bidl

INCLUDES	= TmsD.h TmsC.h TmsS.h TmsLib.h SigGen.h TmsEventServerList.h TmsCycleParam.h
OBJS		= TmsD$(DARCH).o TmsC$(DARCH).o TmsS$(DARCH).o TmsLib$(DARCH).o SigGen$(DARCH).o TmsEventServerList$(DARCH).o TmsCycleParam$(DARCH).o

TESTPROGS	= test1 test2

# General
all::	libTms$(DARCH).a TmsD.cc TmsC.cc TmsS.cc TmsT.cc
	mkdir -p $(SRCINCDIR)
	cp -a $(CPFLAGS) $(INCLUDES) $(SRCINCDIR)
	mkdir -p $(SRCLIBDIR)
	cp -a libTms$(DARCH).a $(SRCLIBDIR)/libTms.a

install:
	mkdir -p $(INCDIR)
	cp -a $(INCLUDES) $(INCDIR)
	mkdir -p $(LIBDIR)
	cp -a libTms$(DARCH).a $(LIBDIR)/libTms.a

clean:
	rm -f *$(DARCH).o *$(DARCH).d *$(DARCH).a *.so $(TESTPROGS) bidl.i *.txt

clean-all:
	rm -f *$(DARCH).o *$(DARCH).a *.so $(TESTPROGS) Tms[DCST].h Tms[DCST].cc bidl.i

libTms$(DARCH).a:	$(OBJS)
	rm -f libTms$(DARCH).a
	ar cq libTms$(DARCH).a $(OBJS)

test1:	test1$(DARCH).o libTms$(DARCH).a
	$(LINK.cc) $(LDFLAGS) -o test1 test1$(DARCH).o libTms$(DARCH).a $(LDLIBS)

test2:	TmsCycleParam.cc
	$(LINK.cc) $(LDFLAGS) -o test2 $(CXXFLAGS) -DTESTBUILD TmsCycleParam.cc libTms$(DARCH).a $(LDLIBS)

# Dependancies
-include $(OBJS:.o=.d)
