=== system/Makefile ===
################################################################################
#	Master Makefile for System Sources
#				T.Barnaby,	BEAM Ltd,	2007-02-21
################################################################################
#
TOP	= ../..
include ../Config.mk

all::

install:
	mkdir -p ${SYSETCDIR}/profile.d
	cp tms.sh ${SYSETCDIR}/profile.d
	mkdir -p ${CONFDIR}
	cp tms.menu ${CONFDIR}
ifeq ("$(BUILD)", "FULL")
	cp dhcpd.conf hosts ifcfg-eth1 named.conf resolv.conf ${CONFDIR}
	cp tmsnet.rev tmsnet.zone tmsInit tmsSetup tmsSetupModuleController ${CONFDIR}
	cp smb.conf tms.menu tmsRestart ${CONFDIR}
	mkdir -p ${BINDIR}
	cp tmsRestart ${BINDIR}
	cp tmsBackup ${BINDIR}
endif

clean:
