=== tmsControl/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2007-02-13
#				updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

#DEBUGFLAGS	= -O2 -g -pg

LDLIBS		:= -lTms $(LDLIBS)

PROGS		= tmsControl$(DARCH)
OBJS		= tmsControl$(DARCH).o

# General
all::	${PROGS}

install:	all
	mkdir -p ${BINDIR}
	cp ${PROGS} ${BINDIR}

tmsControl$(DARCH):	$(OBJS)
	$(LINK.cc) $(LDFLAGS) -o tmsControl$(DARCH) $(OBJS) $(LDLIBS)

clean:
	rm -f *$(DARCH).o *$(DARCH).d *$(DARCH).a *.so *.mo  *.mo.cpp data.txt pupeSource?.txt $(PROGS)

# Dependancies
-include $(OBJS:.o=.d)
