=== tmsControlGui-qt3/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2007-02-13
################################################################################
#
TOP	= ../..
include ../Config.mk

.SUFFIXES: .mo .ui

.h.mo:
	$(MOC) -o $@.cpp $<
	$(CXX) $(CXXFLAGS) -c -o $@ $@.cpp


#DEBUGFLAGS	= -O2 -g -pg
DEBUGFLAGS	= -O2 -g

MOC		= $(QTDIR)/bin/moc
CXXFLAGS	+= -I$(QTDIR)/include
LDLIBS		:= -lTms -lfftw3 $(LDLIBS)
LDLIBSGUI	= -L$(QTDIR)/lib -lqt-mt

PROGS		= tmsControlGui

OBJSGUI		= tmsControlGui.o 
OBJSGUI		+= Control.o Control.mo
OBJSGUI		+= Gui.o Gui.mo
OBJSGUI		+= AppGui.o AppGui.mo
OBJSGUI		+= tmsControlMainWin.o tmsControlMainWin.mo
OBJSGUI		+= ConfigureWin.o ConfigureWin.mo
OBJSGUI		+= StatusWin.o StatusWin.mo
OBJSGUI		+= TestWin.o TestWin.mo
OBJSGUI		+= BQComboBox.o BQComboBox.mo
OBJSGUI		+= ControlDataWin.o ControlDataWin.mo
OBJSGUI		+= PupeDiagnosticsWin.o PupeDiagnosticsWin.mo
OBJSGUI		+= StatisticsWin.o StatisticsWin.mo
OBJSGUI		+= OptionsWin.o OptionsWin.mo
OBJSGUI		+= PupeSimulateWin.o PupeSimulateWin.mo
OBJSGUI		+= PhaseTableWin.o PhaseTableWin.mo
OBJSGUI		+= TmsStateGui.o TmsStateGui.mo
OBJSGUI		+= Config.o
OBJSGUI		+= Debug.o
OBJSGUI		+= BGraph.o BGraph.mo
OBJSGUI		+= BGraphControls.o BGraphControls.mo
OBJSGUI		+= Globals.o 

# General
all::	${PROGS}

install:	all
	mkdir -p ${BINDIR}
	cp ${PROGS} ${BINDIR}
	mkdir -p $(DESKTOPDIR)
	cp tmsControlGui.desktop $(DESKTOPDIR)
	mkdir -p $(ICONSDIR)
	cp tmsControlGui.png $(ICONSDIR)

tmsControlGui:	$(HUIC) $(OBJSGUI) 
	$(CXX) $(LDFLAGS) -o tmsControlGui $(OBJSGUI) $(LDLIBS) $(LDLIBSGUI)

clean:
	rm -f *.o *.a *.so *.mo  *.mo.cpp data.txt pupeSource?.txt $(PROGS)

# Tests
bgraph: BGraph1.cpp BGraph1.mo
	$(CXX) $(CXXFLAGS) -DDEBUG_MAIN -c -o BGraph1.o BGraph1.cpp
	$(CXX) $(LDFLAGS) -o bgraph BGraph1.o BGraph1.mo $(LDLIBS) $(LDLIBSGUI)

# Dependancies
-include $(OBJS:.o=.d)
