=== tmsDevTest/Makefile ===
################################################################################
#	Makefile for TmsDevTest
#				T.Barnaby,	BEAM Ltd,	2007-05-21
################################################################################
#

all::

install:

clean:
	rm -fr *.txt
