=== tmsExamples/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2007-02-07
# updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

CXXFLAGS	= -I../include -I../include/Beam
LDFLAGS 	+= -L../lib/$(CPU)
LDLIBS		+= -lTms

PROGS	= tmsDataClient1$(DARCH) tmsDataClient2$(DARCH)
PROGS	+= tmsControlClient1$(DARCH) tmsControlClient2$(DARCH) tmsControlClient3$(DARCH)

# General
all::	${PROGS}

install:	all

clean:
	rm -f *$(DARCH).o *$(DARCH).a *.so $(PROGS)
