=== tmsPllSim/Makefile ===
################################################################################
#	Makefile	For tmsPllSim utility
#			T.Barnaby,	BEAM Ltd,	2007-05-11
################################################################################
#

TOP	= ../..
include ../Config.mk

# Main bits
VERSION 	= 0.1.0

PROGS		= tmsPllSim tmsBlrSim
OBJS1		= main.o Pll.o
OBJS2		= blr.o Blr.o
LDLIBS		:= -lTms $(LDLIBS)

#DEBUGFLAGS	= -g -pg
DEBUGFLAGS	= -O2 -g

.PHONY: dox

all::	$(PROGS)

clean:
	rm -f *.o *.mo *.mo.cpp *~ *.txt $(PROGS)

includes:

install:	includes all
	mkdir -p $(BINDIR)
	cp $(PROGS) $(BINDIR)

tmsPllSim:	$(OBJS1)
	$(CXX) $(LDFLAGS) -o tmsPllSim $(OBJS1) $(LDLIBS)

tmsBlrSim:	$(OBJS2)
	$(CXX) $(LDFLAGS) -o tmsBlrSim $(OBJS2) $(LDLIBS)

test:
	tmsPllSim

kst:
	kst -m 1 -y1 -y2 -y3 -y4 -y5 data.txt

# Dependancies
-include $(OBJS:.o=.d)
