=== debian/control ===
Source: tms
Maintainer: Beam <support@beam.ltd.uk>
Section: science
Priority: optional
Homepage: https://portal.beam.ltd.uk/support/cern

Package: tms
Architecture: amd64
Description: BEAM TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. This is the common files package.

Package: tms-clients
Architecture: amd64
Description: BEAM and Alpha Data TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. The TMS client applications are for test and control of the TMS system.
Depends: tms, python3

Package: tms-server
Architecture: amd64
Description: BEAM and Alpha Data TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. The TMS server applications are the main operational system.
Depends: tms, python3

Package: tms-dev
Architecture: amd64
Description: BEAM TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. This is the development package.
Depends: tms

Package: tms-doc
Architecture: all
Description: BEAM TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. This is the documentation package.
