=== package/debian/control ===
Source: tms-fpga
Maintainer: Beam <support@beam.ltd.uk>
Section: science
Priority: optional
Homepage: https://portal.beam.ltd.uk/support/cern

Package: tms-fpga
Architecture: all
Description: BEAM and Alpha Data TMS trajectory measurement system fpfa firmware
 This package contains the FPGA firmware for the FPGA's in the TMS system.
