=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell sed -n "s/^VERSION.*=\s*//p" Config.mk)
RELEASE = $(shell sed -n "s/^RELEASE.*=\s*//p" Config.mk)
PACKAGEVERSION = $(VERSION)-${RELEASE}
DEB_BUILD_OPTIONS=noddebs

%:
	dh $@

override_dh_auto_clean:
override_dh_auto_test:
override_dh_auto_build:
override_dh_auto_install:
	#make
	make install DEST_DIR=`pwd`/debian/tmp

override_dh_gencontrol:
	dh_gencontrol -- -v$(PACKAGEVERSION)
